org.apache.sysds.runtime.controlprogram.federated

## Class FederationUtils

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.FederationUtils

-     public class FederationUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FederationUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MatrixBlock` | `aggAdd(Future<FederatedResponse>[] ffr)`
    `static MatrixBlock` | `aggMatrix(AggregateUnaryOperator aop, Future<FederatedResponse>[] ffr, FederationMap map)`
    `static MatrixBlock` | `aggMean(Future<FederatedResponse>[] ffr, FederationMap map)`
    `static DoubleObject` | `aggMinMax(Future<FederatedResponse>[] ffr, boolean isMin, boolean isScalar)`
    `static ScalarObject` | `aggScalar(AggregateUnaryOperator aop, Future<FederatedResponse>[] ffr)`
    `static FederatedRequest` | `callInstruction(String inst, CPOperand varOldOut, CPOperand[] varOldIn, long[] varNewIn)`
    `static long` | `getNextFedDataID()`
    `static MatrixBlock[]` | `getResults(Future<FederatedResponse>[] ffr)`
    `static MatrixBlock` | `rbind(Future<FederatedResponse>[] ffr)`
    `static void` | `resetFedDataID()`
    `static void` | `waitFor(List<Future<FederatedResponse>> responses)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FederationUtils

          public FederationUtils()

  - ### Method Detail

    - #### resetFedDataID

          public static void resetFedDataID()

    - #### getNextFedDataID

          public static long getNextFedDataID()

    - #### callInstruction

          public static FederatedRequest callInstruction(String inst,
                                                         CPOperand varOldOut,
                                                         CPOperand[] varOldIn,
                                                         long[] varNewIn)

    - #### aggAdd

          public static MatrixBlock aggAdd(Future<FederatedResponse>[] ffr)

    - #### aggMean

          public static MatrixBlock aggMean(Future<FederatedResponse>[] ffr,
                                            FederationMap map)

    - #### aggMinMax

          public static DoubleObject aggMinMax(Future<FederatedResponse>[] ffr,
                                               boolean isMin,
                                               boolean isScalar)

    - #### getResults

          public static MatrixBlock[] getResults(Future<FederatedResponse>[] ffr)

    - #### rbind

          public static MatrixBlock rbind(Future<FederatedResponse>[] ffr)

    - #### aggScalar

          public static ScalarObject aggScalar(AggregateUnaryOperator aop,
                                               Future<FederatedResponse>[] ffr)

    - #### aggMatrix

          public static MatrixBlock aggMatrix(AggregateUnaryOperator aop,
                                              Future<FederatedResponse>[] ffr,
                                              FederationMap map)

    - #### waitFor

          public static void waitFor(List<Future<FederatedResponse>> responses)

Copyright © 2020 The Apache Software Foundation. All rights reserved.